Сложная установка Paraview с 12.04 LTS (а не с 14.04 LTS)

Когда я пытаюсь установить Paraview на рабочий стол Ubuntu 12.04 LTS с

sudo apt-get install paraview 

Я получаю длинное предупреждение, чья самая тревожная часть

Следующие пакеты будут удалены: google-earth-stable ia32-libs ia32-libs-multiarch: i386 libgl1-mesa-dri libgl1-mesa-dri: i386 libgl1-mesa-glx: i386 libglapi-mesa: i386 libglu1-mesa: i386 libhdf5-serial-1.8.4 libqt4-opengl: i386 libvisual-0.4-plugins: i386 nvidia-331-updates skype skype-bin: i386 xorg xserver-xorg

который кажется мне чрезмерным и жадным, поскольку он нацелен на удаление некоторых других важных и несвязанных пакетов, таких как Google Earth или Skype. Очевидно, я не продолжаю.

Интересная информация состоит в том, что одна и та же команда apt-get работает плавно и без таких аутоиммунных требований на другой машине, которой управляет Ubuntu 14.04 LTS, где, например, установлены как Google Earth, так и Skype.

У меня есть причины (слева), чтобы Ubuntu 12.04 LTS работал на первом компьютере. Вопрос в том: кто-нибудь знает о причинах этого аутоиммунного поведения Paraview? Какие могут быть исправления и обходные пути?

NB Я не мог создать тег «Paraview» из-за моего возраста молодого форума, но старший член может сочтет это полезным.

У вас установлена ​​64-битная установка Ubuntu, поэтому по умолчанию она попытается установить пакеты архитектуры amd64 она будет искать paraview:amd64 которая зависит от libgl1-mesa-glx:amd64 . См. http://packages.ubuntu.com/precise/paraview

С другой стороны, у вас уже есть google-earth-stable & skype на архитектуре i386 из тех же библиотек.

AFAIK, Самое простое решение – установить версию paraview i386

 sudo apt-get install paraview:i386 

Спасибо, что заметили это.

Я частично решил проблему, но столкнулся с более крупными с Брасеро. Я объясню шаг за шагом.

  1. sudo apt-get install paraview:i386 не конфликтует с skype или google earth, но требует установки новых библиотек, которые apt-get не мог полностью позаботиться;

  2. Затем я удалил skype и google earth и установил paraview: amd64 позволяет ему удалять библиотеки – установка Paraview прошла хорошо.

  3. Тем не менее, переустановка либо skype, либо google earth потребовала многоархитектурных библиотек. Более того, apt-get начал требовать несколько зависимостей один за другим. apt-get сам предложил сделать sudo apt-get -f install , который я сделал. Фиксирование неработающих ссылок заняло немного больше времени, и я увидел, что некоторые приложения исчезли из строки меню. Однако в целом это было выгодно, так как Paraview, Skype и Google Earth работали правильно.

  4. Наконец, я решил переустановить программы, которые были удалены на sudo apt-get install brasero шаге, а именно Brasero с sudo apt-get install brasero .

  5. Здесь приходят неприятности, как apt-get на brasero просили удалить что-то вроде сотни приложений. Ошибочно я думал, что это приложение, чтобы добавить, поэтому я дал ему свободу. В результате бразеро показал такое же аутоиммунное поведение Paraview ранее. С большим количеством хаоса: он сразу же повлиял на интернет- соединение (браузер не смог найти какой-либо URL-адрес). При перезагрузке, кроме того, lightdm также был скомпрометирован.

Теперь я создаю отдельный отчет об инциденте, чтобы описать это дальше.